Bug 803088 - Kernel updates break KVM networking after suspend
Kernel updates break KVM networking after suspend
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
15
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-13 18:22 EDT by Christoph Wickert
Modified: 2012-07-11 16:41 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-11 13:50:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christoph Wickert 2012-03-13 18:22:22 EDT
Description of problem:
The two latest F15 kernel updates break KVM networking after suspending the hypervisor.

Version-Release number of selected component (if applicable):
kernel-2.6.42.7-1.fc15.x86_64
kernel-2.6.42.9-1.fc15.x86_64

How reproducible:
always

Steps to Reproduce:
1. Use KVM to host some VMs
2. Suspend the hypervisor. In my case it's an Lenovo Thinkpad X201 
3. Wake it up again
  
Actual results:
No more internet on any of the VMs. They can ping the hypervisor on 192.168.122.1 just fine, they can ping each other but no other external addresses. It doesn't matter if they were running or powered off when the hypervisor was suspended. Restarting libvirtd and libvirt-guests does not help, so far the only way I found to bring back networking is to reboot the hypervisor. This works until I suspend it again.

Expected results:
VMs should still have internet.

Additional info:
Booting kernel-2.6.42.3-2.fc15.x86_64 brings back the network, no matter how often I suspend the hypervisor.
Comment 1 Christoph Wickert 2012-03-13 18:28:16 EDT
Note this affects all VMs, regardless of the distro or kernel they are running.

$ rpm -q libvirt qemu-kvm
libvirt-0.8.8-7.fc15.x86_64
qemu-kvm-0.14.0-8.fc15.x86_64
Comment 2 Josh Boyer 2012-06-07 13:57:02 EDT
Are you still seeing this with 2.6.43/3.3?
Comment 3 Josh Boyer 2012-07-11 13:50:27 EDT
Fedora 15 has reached it's end of life as of June 26, 2012.  As a result, we will not be fixing any remaining bugs found in Fedora 15.

In the event that you have upgraded to a newer release and the bug you reported is still present, please reopen the bug and set the version field to the newest release you have encountered the issue with.  Before doing so, please ensure you are testing the latest kernel update in that release and attach any new and relevant information you may have gathered.

Thank you for taking the time to file a report.  We hope newer versions of Fedora suit your needs.
Comment 4 Christoph Wickert 2012-07-11 16:41:52 EDT
For the record: I was not able to reproduce this on F17.

Note You need to log in before you can comment on or make changes to this bug.